#
# spec file for package rubygem-newrelic_rpm
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-newrelic_rpm
Version:        3.18.1.330
Release:        1.1
%define mod_name newrelic_rpm
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.8.7}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            https://github.com/newrelic/rpm
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        New Relic Ruby Agent
License:        New Relic and MIT and Ruby
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
New Relic is a performance management system, developed by New Relic,
Inc (http://www.newrelic.com).  New Relic provides you with deep
information about the performance of your web application as it runs
in production. The New Relic Ruby Agent is dual-purposed as a either a
Gem or plugin, hosted on
https://github.com/newrelic/rpm/.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Tue Feb 14 2017 coolo@suse.com
- updated to version 3.18.1.330
  see installed CHANGELOG.md
  [#]# v3.18.1 ##
  * Ensure Mongo aggregate queries are properly obfuscated
    Instrumentation for the Mongo 2.x driver had a bug where the `pipeline`
    attribute of Mongo aggregate queries was not properly obfuscated. Users
    who have sensitive data in their `aggregate` queries are strongly encouraged
    to upgrade to this version of the agent. Users who are unable to upgrade are
    encouraged to turn off query collection using by setting
    `mongo.capture_queries` to false in their newrelic.yml files.
  * Early access Redis 4.0 instrumentation
    Our Redis instrumentation has been tested against Redis 4.0.0.rc1.
* Tue Jan 24 2017 coolo@suse.com
- updated to version 3.18.0.329
  see installed CHANGELOG.md
* Wed Dec 14 2016 coolo@suse.com
- updated to version 3.17.2.327
  CHANGELOG removed upstream
* Mon Nov 14 2016 coolo@suse.com
- updated to version 3.17.1.326
  see installed CHANGELOG
  [#]# v3.17.1 ##
  * Datastore instance reporting for Redis, MongoDB, and memcached
    The agent now collects datastore instance information for Redis, MongoDB,
    and memcached. This information is displayed in transaction traces and slow
    query traces. For memcached only, multi requests will expand to individual
    server nodes, and the operation and key(s) will show in the trace details
    "Database query" section. Metrics for `get_multi` nodes will change slightly.
    Parent nodes for a `get_multi` will be recorded as generic segments. Their
    children will be recorded as datastore segments under the name
    `get_multi_request` and represent a batch request to a single Memcached
    instance.
  * Rescue errors from attempts to fetch slow query explain plans
    For slow queries through ActiveRecord 4+, the agent will attempt to fetch
    an explain plan on SELECT statements. In the event that this causes an
    error, such as being run on an adapter that doesn't implement `exec_query`,
    the agent will now rescue and log those errors.
* Sat Oct 29 2016 coolo@suse.com
- updated to version 3.17.0.325
  see installed CHANGELOG
  [#]# v3.17.0 ##
  * Datastore instance reporting for ActiveRecord
    The agent now collects database instance information for ActiveRecord operations,
    when using the MySQL and Postgres adapters.  This information (database server
    and database name) is displayed in transaction traces and slow query traces.
  [#]# v3.16.3 ##
  * Add `:trace_only` option to `notice_error` API
    Previously, calling `notice_error` would record the trace, increment the
    error count, and consider the transaction failing for Apdex purposes. This
    method now accepts a `:trace_only` boolean option which, if true, will only
    record the trace and not affect the error count or transaction.
  * HTTP.rb support
    The agent has been updated to add instrumentation support for the HTTP gem,
    including Cross Application Tracing. Thanks Tiago Sousa for the contribution!
  * Prevent redundant Delayed::Job instrumentation installation
    This change was to handle situations where multiple Delayed::Worker instances
    are being created but Delayed::Job has already been instrumented. Thanks Tony
    Brown for the contribution!
* Thu Aug 25 2016 mrueckert@suse.de
- update to 3.16.2.321
* Tue Apr 19 2016 mrueckert@suse.de
- update to 3.15.1.316
* Tue Feb  2 2016 mrueckert@suse.de
- update to 3.14.2.312
* Wed Sep 23 2015 mrueckert@suse.de
- update to 3.13.1.300
* Mon Mar 16 2015 mrueckert@suse.de
- initial package
